Ask coding questions

← Back to all posts
package config
ooliver (0)

Replit: Updating package configuration

--> python3 -m poetry lock
Updating dependencies
Resolving dependencies...

AttributeError

enter

at /opt/virtualenvs/python3/lib/python3.8/site-packages/poetry/utils/helpers.py:98 in download_file
94│ url, dest, session=None, chunk_size=1024
95│ ): # type: (str, str, Optional[requests.Session], int) -> None
96│ get = requests.get if not session else session.get
97│
→ 98│ with get(url, stream=True) as response:
99│ response.raise_for_status()
100│
101│ with open(dest, "wb") as f:
102│ for chunk in response.iter_content(chunk_size=chunk_size):
exit status 1

Replit: Package operation failed.

didnt let me install quart or anything quart needs and now it straight up wont load

Comments
hotnewtop
Coder100 (18901)

delete the packagers and try installing again, or forking the repl.
Also click get help

ooliver (0)

Delete the packages? Which ones? All of them because it lets me run it now after doing kill 1 but Quart won’t install @Coder100

ooliver (0)

The get help button just refers me here no? @Coder100

Coder100 (18901)

delete the packager files
@ooliver

ooliver (0)

Lol deleting the poetry lock and toml files made it worse @Coder100

Coder100 (18901)

yay nice!
mark as correct answer? @ooliver

ooliver (0)

it wont let me mark my own lmao @Coder100

no im not marking yours because you didnt give the answer lmao